package org.apache.turbine.services;


/*
 * Copyright 2001-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


import org.apache.turbine.util.TurbineException;

/**
 * Thrown by <code>Initable</code> class in case of initialization
 * problems.
 *
 * @author <a href="mailto:burton@apache.org">Kevin Burton</a>
 * @author <a href="mailto:krzewski@e-point.pl">Rafal Krzewski</a>
 * @version $Id: InitializationException.java,v 1.6 2004/12/06 17:47:11 painter Exp $
 * @see org.apache.turbine.services.Initable
 */
public class InitializationException extends TurbineException
{
    /**
     * Construct an InitializationException with specified detail message.
     *
     * @param msg The detail message.
     */
    public InitializationException(String msg)
    {
        super(msg);
    }

    /**
     * Construct an InitializationException with specified detail message
     * and nested Throwable.
     *
     * @param msg The detail message.
     * @param t the exception or error that caused this exception
     *               to be thrown.
     */
    public InitializationException(String msg, Throwable t)
    {
        super(msg, t);
    }
}
